Update Document

Updates properties of an existing document. Supports partial updates via JSON for title, parent, and classification.

Supports moving documents into (but not out of) repositories by providing a repo_-prefixed repository ID as the parent.

Updates properties of an existing document. Supports partial updates via JSON for:

  • title (string) — Rename the document. Must be non-empty, at most 300
    characters, and cannot start or end with whitespace.
  • parent (string | number | null) — Move the document to a different folder or repository. Accepts a numeric folder ID or a repo_-prefixed repository ID. Supports moving documents into (but not out of) repositories.
  • classificationId (string | null) — Update the classification of the document, setting to null removes document classification.

Path Params
uuid
required

ID of the document to update.

Body Params

Request body for updating a document. At least one field should be provided.

string

New title for the document. Must be non-empty, at most 300 characters, and must not start or end with whitespace.

ID of the folder or repository to move the document into. Set to null to move the document to the root folder.
For repositories, use the repository ID prefixed with repo_ (e.g., repo_12345). For folders, use the numeric folder ID.


Numeric folder ID.

customTags
array of strings

List of custom tags to assign to the document. Including this field overwrites all existing tags on the document with the provided values. Each tag must be non-empty and must not start or end with whitespace. Omitting this field leaves existing tags unchanged; set to an empty array to clear all tags.

customTags
uuid | null

ID of the classification to assign to the document. Omitting this field leaves the existing classification unchanged; set to null to remove the classification.

Responses

400

Bad Request. Title must be non-empty when included. Title must be at most 300 characters. Title must not start or end with whitespace. Invalid parent ID. Must be either a string prefixed with repo_ (for repositories) or a number. Custom tag values must be non-empty when included. Custom tag values must not start or end with whitespace. * Classification ID must either be null or an existing classification ID.

403

Forbidden. The app making the request does not have permission to the document, or the document does not exist.

409

Conflict. A conflict occurred when saving the document.

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json